Bug 6365 - Dropbox file serving
Dropbox file serving
Status: RESOLVED FIXED
Product: Samba 3.2
Classification: Unclassified
Component: File services
unspecified
All All
: P3 regression
: ---
Assigned To: Karolin Seeger
Samba QA Contact
http://article.gmane.org/gmane.networ...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-15 14:24 UTC by Volker Lendecke
Modified: 2009-06-05 03:26 UTC (History)
0 users

See Also:
jra: review+


Attachments
Additional change. (872 bytes, patch)
2009-05-29 19:35 UTC, Jeremy Allison
no flags Details
patches for 3.3 (2.09 KB, patch)
2009-05-30 04:36 UTC, Volker Lendecke
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Volker Lendecke 2009-05-15 14:24:04 UTC
In Samba 3.0.21, a directory with -rx-rx-rx permissions could be used as a "drop box": users could put stuff in there but not list that directory. This functionality broke some time later in the 3.0 series.

Under http://article.gmane.org/gmane.network.samba.internals/42646 find a patch that restores this. Starting with

http://news.gmane.org/find-root.php?message_id=%3cE1M4F1b%2d002FaA%2d7K%40intern.SerNet.DE%3e

this patch was extensively discussed.

Volker
Comment 1 Jeremy Allison 2009-05-29 18:59:42 UTC
Pushed to master and 3.4. I think this also should go into 3.2.x and 3.3.x.
Jeremy.
Comment 2 Jeremy Allison 2009-05-29 19:35:11 UTC
Created attachment 4219 [details]
Additional change.

Volker, I think this additional change on top of your patch makes the code a little clearer and fixes the comment to match the code. Can you review please and push to master/3.4 if you agree ?
Thanks,
Jeremy.
Comment 3 Volker Lendecke 2009-05-30 04:36:53 UTC
Created attachment 4220 [details]
patches for 3.3

Thanks, pushed with reformatting. Attached find the patches for 3.3.

Volker
Comment 4 Volker Lendecke 2009-06-05 03:21:59 UTC
Hi, Karolin!

I think the review process has been fulfilled by Jeremy and me looking at both patches. Can you push that to 3.3?

Thanks,

Volker
Comment 5 Karolin Seeger 2009-06-05 03:26:13 UTC
Yes, we can! ;-)
Pushed.
Closing out bug report.

Thanks!